package com.tfis.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.tfis.common.annotation.Excel;
import com.tfis.common.core.domain.BaseEntity;

/**
 * 故障案例管理对象 biz_fault_case
 * 
 * @author allen
 * @date 2023-11-23
 */
public class FaultCase extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 编号 */
    private Long id;

    /** 机型 */
    @Excel(name = "机型")
    private Long aircraftTypeId;

    /** 系统 */
    @Excel(name = "系统")
    private Long aircraftSystemId;

    /** 分系统 */
    @Excel(name = "分系统")
    private Long aircraftSubsystemId;

    /** 故障现象 */
    @Excel(name = "故障现象")
    private String faultPhenomenon;

    /** 故障原因 */
    @Excel(name = "故障原因")
    private String faultCause;

    /** 故障树 */
    @Excel(name = "故障树")
    private String faultTreePath;

    /** 故障图 */
    @Excel(name = "故障图")
    private String faultPicturePath;

    /** 排故方法 */
    @Excel(name = "排故方法")
    private String troubleshootingMethodPath;

    /** 浏览次数 */
    @Excel(name = "浏览次数")
    private Long viewCount;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setAircraftTypeId(Long aircraftTypeId) 
    {
        this.aircraftTypeId = aircraftTypeId;
    }

    public Long getAircraftTypeId() 
    {
        return aircraftTypeId;
    }
    public void setAircraftSystemId(Long aircraftSystemId) 
    {
        this.aircraftSystemId = aircraftSystemId;
    }

    public Long getAircraftSystemId() 
    {
        return aircraftSystemId;
    }
    public void setAircraftSubsystemId(Long aircraftSubsystemId) 
    {
        this.aircraftSubsystemId = aircraftSubsystemId;
    }

    public Long getAircraftSubsystemId() 
    {
        return aircraftSubsystemId;
    }
    public void setFaultPhenomenon(String faultPhenomenon) 
    {
        this.faultPhenomenon = faultPhenomenon;
    }

    public String getFaultPhenomenon() 
    {
        return faultPhenomenon;
    }
    public void setFaultCause(String faultCause) 
    {
        this.faultCause = faultCause;
    }

    public String getFaultCause() 
    {
        return faultCause;
    }
    public void setFaultTreePath(String faultTreePath) 
    {
        this.faultTreePath = faultTreePath;
    }

    public String getFaultTreePath() 
    {
        return faultTreePath;
    }
    public void setFaultPicturePath(String faultPicturePath) 
    {
        this.faultPicturePath = faultPicturePath;
    }

    public String getFaultPicturePath() 
    {
        return faultPicturePath;
    }
    public void setTroubleshootingMethodPath(String troubleshootingMethodPath) 
    {
        this.troubleshootingMethodPath = troubleshootingMethodPath;
    }

    public String getTroubleshootingMethodPath() 
    {
        return troubleshootingMethodPath;
    }
    public void setViewCount(Long viewCount) 
    {
        this.viewCount = viewCount;
    }

    public Long getViewCount() 
    {
        return viewCount;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("aircraftTypeId", getAircraftTypeId())
            .append("aircraftSystemId", getAircraftSystemId())
            .append("aircraftSubsystemId", getAircraftSubsystemId())
            .append("faultPhenomenon", getFaultPhenomenon())
            .append("faultCause", getFaultCause())
            .append("faultTreePath", getFaultTreePath())
            .append("faultPicturePath", getFaultPicturePath())
            .append("troubleshootingMethodPath", getTroubleshootingMethodPath())
            .append("viewCount", getViewCount())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
